logo
Voice Call
Server API
Stream Mixing and Transcoding APIs
On this page

DescribeSimpleStreamList

GET

https://rtc-api.zego.im/

Call this interface to get the stream list information in the Room. After obtaining the stream list, compare it with the business backend stream list to prevent "speaker blasting". You can also use this interface to obtain the unique Stream ID in the Room for mixing stream volume callback when using a third-party stream player.

Call Frequency Limit
All rooms under the same AppID are limited to 50 times/second; Single Room: 1 time/10 seconds

Request

Query Parameters

    Action stringrequired

    Possible values: [DescribeSimpleStreamList]

    API prototype parameters

    https://rtc-api.zego.im?Action=DescribeSimpleStreamList

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.

    Timestamp int64required

    💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.

    Signature stringrequired

    💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

    RoomId stringrequired

    Room ID.

Responses

Operation successful
Schema
    Code int32

    Return code. The following only lists some return codes related to the interface business logic. For complete return codes, please refer to Global Return Codes.

    Return CodeDescriptionSuggested Action
    154Failed to get list information.Please retry, or contact ZEGOCLOUD technical support for assistance.
    Message string

    Operation result description.

    RequestId string

    Request ID.

    Data object
    StreamList object[]
    Stream list.
  • Array[
  • StreamId string

    Stream ID.

    UserId string

    Username.

    UserName string

    User nickname.

    CreateTime int64

    Creation time.

    StreamNumberId uint32

    Stream sequence number in the Room.

  • ]

Previous

DeleteStream

Next

CloseRoom

On this page

Back to top